## python-rtree 0.8.2+ds

=== debian/changelog ===
python-rtree (0.8.2+ds-2) unstable; urgency=medium

  * Add libspatialindex-dev as dependency of the binary packages too.
    Required for find_library('spatialindex_c') in core.py.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2015 13:30:00 +0200

python-rtree (0.8.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #797541)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 18:02:57 +0200
