=== debian/control ===
Source: python-rtree
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libspatialindex-dev (>= 1.7.0),
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-rtree.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/python-rtree.git
Homepage: http://toblerity.org/rtree/

Package: python-rtree
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         libspatialindex-dev (>= 1.7.0),
         ${python:Depends},
         ${misc:Depends}
Provides: ${python:Provides}
Description: R-Tree spatial index for Python GIS - Python 2 module
 Rtree is a ctypes Python wrapper of libspatialindex that provides a
 number of advanced spatial indexing features for the spatially curious
 Python user. These features include:
 .
  * Nearest neighbor search
  * Intersection search
  * Multi-dimensional indexes
  * Clustered indexes (store Python pickles directly with index entries)
  * Bulk loading
  * Deletion
  * Disk serialization
  * Custom storage implementation (to implement spatial indexing in ZODB,
    for example)
 .
 This package contains the module for Python 2.

Package: python3-rtree
Architecture: all
Depends: libspatialindex-dev (>= 1.7.0),
         ${python3:Depends},
         ${misc:Depends}
Provides: ${python3:Provides}
Description: R-Tree spatial index for Python GIS - Python 3 module
 Rtree is a ctypes Python wrapper of libspatialindex that provides a
 number of advanced spatial indexing features for the spatially curious
 Python user. These features include:
 .
  * Nearest neighbor search
  * Intersection search
  * Multi-dimensional indexes
  * Clustered indexes (store Python pickles directly with index entries)
  * Bulk loading
  * Deletion
  * Disk serialization
  * Custom storage implementation (to implement spatial indexing in ZODB,
    for example)
 .
 This package contains the module for Python 3.
