## python-rtree 0.8.3+ds

=== debian/changelog ===
python-rtree (0.8.3+ds-2) unstable; urgency=medium

  * Add python3-sphinx to build dependencies.
  * Bump Standards-Version to 4.1.5, no changes.
  * Add autopkgtest to test installability.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Add module import tests to autopkgtest configuration.
  * Update watch file to use HTTPS.
  * Strip trailing whitespace from control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 12:14:37 +0200

python-rtree (0.8.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.8, no changes.
  * Exclude pre-built docs from upstream tarball.
  * Add numpy to build depends for tests.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Dec 2016 07:53:43 +0100
