=== debian/control ===
--- 
+++ 
@@ -7,13 +7,16 @@
                dh-python,
                libspatialindex-dev (>= 1.7.0),
                python-all,
+               python-numpy,
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-setuptools
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-rtree.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/python-rtree.git
+               python3-numpy,
+               python3-setuptools,
+               python3-sphinx
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: http://toblerity.org/rtree/
 
 Package: python-rtree
@@ -63,4 +66,3 @@
     for example)
  .
  This package contains the module for Python 3.
-
