=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/source/changes.txt
-
