## python-rtree 0.9.4

=== debian/changelog ===
python-rtree (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update Source, Comment & Files-Excluded for GitHub releases.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Feb 2020 05:52:09 +0100

python-rtree (0.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Dec 2019 08:40:36 +0100

python-rtree (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to use GitHub releases.
  * Drop Name field from upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Dec 2019 05:50:34 +0100

python-rtree (0.9.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Nov 2019 05:22:49 +0100

python-rtree (0.9.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Add python3-pytest to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Nov 2019 05:59:43 +0100

python-rtree (0.8.3+ds-4) unstable; urgency=medium

  * Rename doc-base document to python3-rtee to avoid conflict.
    (closes: #933482)
  * Update Homepage URL.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Jul 2019 17:21:48 +0200

python-rtree (0.8.3+ds-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Drop unused python3:Provides substvar.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 10:07:01 +0200
