=== debian/control ===
Source: python-rtree
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libspatialindex-dev (>= 1.7.0),
               python3-all,
               python3-numpy,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
Homepage: https://github.com/Toblerity/rtree

Package: python3-rtree
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         libspatialindex-dev (>= 1.7.0),
         ${python3:Depends},
         ${misc:Depends}
Description: R-Tree spatial index for Python GIS - Python 3 module
 Rtree is a ctypes Python wrapper of libspatialindex that provides a
 number of advanced spatial indexing features for the spatially curious
 Python user. These features include:
 .
  * Nearest neighbor search
  * Intersection search
  * Multi-dimensional indexes
  * Clustered indexes (store Python pickles directly with index entries)
  * Bulk loading
  * Deletion
  * Disk serialization
  * Custom storage implementation (to implement spatial indexing in ZODB,
    for example)
 .
 This package contains the module for Python 3.
