=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 %:
 	dh $@ \
 		--buildsystem=pybuild \
-		--with python2 \
 		--with python3 \
 		--parallel
