## python-rtree 0.9.7

=== debian/changelog ===
python-rtree (0.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Dec 2020 06:49:44 +0100

python-rtree (0.9.6-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Dec 2020 19:09:08 +0100

python-rtree (0.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes.
  * Add python3-wheel to build dependencies.
  * Set PYTHONPATH for sphinx-build.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Dec 2020 16:13:37 +0100

python-rtree (0.9.4-2) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Use sphinxdoc helper.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 13:04:18 +0100
