=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                libspatialindex-dev (>= 1.7.0),
                python3-all,
                python3-numpy,
                python3-pytest,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 4.5.0
+               python3-sphinx,
+               python3-wheel
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: https://github.com/Toblerity/rtree
 
 Package: python3-rtree
 Architecture: all
-Depends: libjs-jquery,
-         libjs-underscore,
-         libspatialindex-dev (>= 1.7.0),
+Depends: libspatialindex-dev (>= 1.7.0),
          ${python3:Depends},
+         ${sphinxdoc:Depends},
          ${misc:Depends}
 Description: R-Tree spatial index for Python GIS - Python 3 module
  Rtree is a ctypes Python wrapper of libspatialindex that provides a
