## python-rtree 1.0.0

=== debian/changelog ===
python-rtree (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file for GitHub URL changes.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.
  * Require at least libspatialindex-dev 1.8.5.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Apr 2022 05:32:40 +0200
