=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               libspatialindex-dev (>= 1.7.0),
+               libspatialindex-dev (>= 1.8.5),
                python3-all,
                python3-numpy,
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
                python3-wheel
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: https://github.com/Toblerity/rtree
