## python-rtree 1.0.1

=== docs/requirements.txt ===
sphinx>=4
