=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                libspatialindex-dev (>= 1.8.5),
+               pybuild-plugin-pyproject,
                python3-all,
                python3-numpy,
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
                python3-wheel
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: https://github.com/Toblerity/rtree
