=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 %:
 	dh $@ \
 		--buildsystem=pybuild \
-		--with python3 \
-		--parallel
+		--with python3,sphinxdoc
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -18,7 +17,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	(cd docs && make html)
+	(cd docs && PYTHONPATH=$(shell ls -d $(CURDIR)/.pybuild/*_$(shell py3versions -dv)_*/build 2> /dev/null | head -1) make html)
 
 override_dh_auto_test:
 	dh_auto_test || echo "Ignoring test failures"
