=== debian/changelog ===
python-rtree (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Add python3-sphinx-issues to build dependencies.
  * Update dh_installchangelogs override.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Jan 2024 14:55:39 +0100

python-rtree (1.1.0-2) unstable; urgency=medium

  * Add patch to fix FTBFS on i386.
  * Add patch to fix autopkgtest failure.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Oct 2023 07:20:33 +0200

python-rtree (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Remove generated files in clean target.
    (closes: #1048902)
  * Use execute_after instead of override in rules file.
  * Switch to dh-sequence-*.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Oct 2023 05:23:41 +0200
