=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                libspatialindex-dev (>= 1.8.5),
                pybuild-plugin-pyproject,
                python3-all,
@@ -12,11 +14,14 @@
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-issues,
                python3-wheel
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: https://github.com/Toblerity/rtree
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-rtree
 Architecture: all
