=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=rtree

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	(cd docs && make clean)

execute_after_dh_auto_build:
	(cd docs && PYTHONPATH=$(shell ls -d $(CURDIR)/.pybuild/*_$(shell py3versions -dv)_*/build 2> /dev/null | head -1) make html)

override_dh_installchangelogs:
	dh_installchangelogs docs/source/changes.rst
