## python-rtree 1.3.0

=== debian/changelog ===
python-rtree (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop index-version.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Jul 2024 15:08:28 +0200

python-rtree (1.2.0-2) unstable; urgency=medium

  * Use pybuild to get build_dir path.
  * Add upstream patch to fix FTBFS with spatialindex 2.0.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Jun 2024 10:07:54 +0200
