## python-rtree 1.4.0

=== debian/changelog ===
python-rtree (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 05:26:39 +0100
