=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-sphinx,
                python3-sphinx-issues,
                python3-wheel
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: https://github.com/Toblerity/rtree
