=== debian/changelog ===
python-rtree (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Aug 2025 05:27:26 +0200
