=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	(cd docs && make clean)
 
 execute_after_dh_auto_build:
-	(cd docs && PYTHONPATH=$(shell ls -d $(CURDIR)/.pybuild/*_$(shell py3versions -dv)_*/build 2> /dev/null | head -1) make html)
+	(cd docs && PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) make html)
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/source/changes.rst
